QGIS Application - Bug report #19459
Error on delimited text layer import in DB Manager
2018-07-21 12:45 AM - Eron Lloyd

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:3.0.3 Regression?: Yes

Operating System: macOS Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 27287
Description

I'm having trouble importing layers of delimited text into a PostGIS database in QGIS 3.0.3 on macOS. | get the following error:
An error has occurred while executing Python code:

TypeError: setEnabled(self, bool): argument 1 has unexpected type '‘QgsVectorLayer'
Traceback (most recent call last):

accept
self.reloadlnputLayer ()

reloadlnputLayer
self.checkSupports()

checkSupports
self.chkGeomColumn.setEnabled(allowSpatial and hasGeomType)
TypeError: setEnabled(self, bool): argument 1 has unexpected type '‘QgsVectorLayer’

QGIS version: 3.0.3-Girona Girona, exported

| then tested it in QGIS 2.18.18, and it imports successfully.

| checked the import settings between the two and everything looks right, so I'm not sure what else could be causing this.

File "/Applications/QGIS3.app/Contents/MacQS/../Resources/python/plugins/db_manager/dlg_import_vector.py”, line 269, in

File "/Applications/QGIS3.app/Contents/MacQS/../Resources/python/plugins/db_manager/dig_import_vector.py”, line 196, in

File "/Applications/QGIS3.app/Contents/MacOS/../Resources/python/plugins/db_manager/dlg_import_vector.py”, line 103, in

Python version: 3.6.5 (v3.6.5:f59c0932b4, Mar 28 2018, 05:52:31) [GCC 4.2.1 Compatible Apple LLVM 6.0 (clang-600.0.57)]

History

#1 - 2018-07-22 01:16 PM - Giovanni Manghi
- Regression? changed from No to Yes

- Priority changed from Normal to High

- Status changed from Open to Feedback

Still broken on 3.2?

#2 - 2018-08-04 09:00 PM - Eron Lloyd

Giovanni Manghi wrote:

2025-04-27

12




Still broken on 3.27?

No, it seems to be working again now. Thanks!

#3 - 2018-08-05 04:48 PM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed
